projects
Returns all projects the user has access to
projects(
page: Int
limit: Int
params: ProjectSearch
sortBy: String
descending: Boolean
): ProjectPaginatedCollection!
Arguments
projects.page ● Int scalar
projects.limit ● Int scalar
projects.params ● ProjectSearch input
projects.sortBy ● String scalar
Column name to order. Ex: label
projects.descending ● Boolean scalar
false => ASC or true => DESC
Type
ProjectPaginatedCollection object
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Replace <company_id> with the company scope ID. The official CLI sends this value as params.scopeIdEq when listing projects.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetProjects($page: Int, $limit: Int, $params: ProjectSearch, $descending: Boolean) {\n projects(page: $page, limit: $limit, params: $params, descending: $descending) { collection { id label status } metadata { currentPage limitValue totalCount } }\n}","variables":{"page":1,"limit":20,"params":{"scopeIdEq":"<company_id>"},"descending":false}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetProjects($page: Int, $limit: Int, $params: ProjectSearch, $descending: Boolean) {\n projects(page: $page, limit: $limit, params: $params, descending: $descending) { collection { id label status } metadata { currentPage limitValue totalCount } }\n}",
variables: {
"page": 1,
"limit": 20,
"params": {
"scopeIdEq": "<company_id>"
},
"descending": false
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetProjects($page: Int, $limit: Int, $params: ProjectSearch, $descending: Boolean) {\n projects(page: $page, limit: $limit, params: $params, descending: $descending) { collection { id label status } metadata { currentPage limitValue totalCount } }\n}",
'variables': json.loads("{\"page\":1,\"limit\":20,\"params\":{\"scopeIdEq\":\"<company_id>\"},\"descending\":false}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contributeResources
By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.
Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.
Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.